{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  marleyos = {
    isDesktop = true;

    appearance = {
      base = enabled;
      gtk = enabled;
      qt = enabled;
    };
    # TODO: Seperate out into graphical/shell/tui?
    programs = {
      amfora = enabled;
      bat = enabled;
      btop = enabled;
      calibre = enabled;
      cava = enabled;
      cheat = enabled;
      curl = enabled;
      eza = enabled;
      figlet = enabled;
      fish = enabled;
      fzf = enabled;
      gh = enabled;
      git = enabled;
      glow = enabled;
      gpg = enabled;
      hyfetch = enabled;
      journalctl = enabled;
      just = enabled;
      lazygit = enabled;
      less = enabled;
      man = enabled;
      ncmpcpp = enabled;
      neo = enabled;
      neovim = enabled;
      nh = enabled;
      pidgin = enabled;
      rbw = enabled;
      ripgrep = enabled;
      ssh = enabled;
      starship = enabled;
      systemctl = enabled;
      tmux = enabled;
      vesktop = enabled;
      wezterm = enabled;
      wget = enabled;
      zathura = enabled;
      zoxide = enabled;
    };
    services = {
      # clipboard = enabled;
      # syncthing = enabled;
    };
    wayland.hyprland = {
      enable = true;
      monitors = [
        "desc:Apple Computer Inc LED Cinema 2A91946Z0K0, 1920x1200, 0x0, 1"
        "desc:Lenovo Group Limited LT2252p Wide 6V8ACF74, 1680x1050, 1920x0, 1"
      ];
    };
  };

  home.stateVersion = "24.05";
}
